Skip to content

Check-ins

The Check-ins endpoint provides access to check-in events logged via the NOWATCH app or a crown press.

GET /v1/timeline/events/checkins/{user_id}

Parameters

Name Type In Description
user_id UUID Path The unique identifier for the user.
start_date Date Query The start date for the query period (format: YYYY-MM-DD).
end_date Date Query The end date for the query period (format: YYYY-MM-DD).
days Integer Query Days per page (default 1, max 7). Only applies to application/json cursor-based pagination.
cursor String Query Pagination cursor from the previous response. Only supported on application/json; returns 400 for CSV.

Response Formats

Header Value Format
application/json JSON (default)
text/csv CSV

Responses

200 OK
{
  "data": [
    {
      "datetime": "2024-04-01T12:00:00Z",
      "origin": "CROWN_PRESS",
      "reactivity": "CENTERED",
      "valence": "NEUTRAL",
      "related_feelings": ["HAPPY", "MOTIVATED"],
      "context": ["WORKING", "MEETING"]
    }
  ],
  "next_cursor": null
}
404 Not Found
{
  "type": "about:blank",
  "title": "Not Found",
  "status": 404,
  "detail": "No Check-ins for user between 2024-04-01 and 2024-04-02 found in database",
  "instance": "/v1/timeline/events/checkins/YOUR_USER_ID",
  "code": "not_found",
  "request_id": "3a7b2c1d-..."
}

Example Request (JSON)

cURL
curl -X GET "https://research-api.nowatch.com/v1/timeline/events/checkins/YOUR_USER_ID?start_date=2024-04-01&end_date=2024-04-02" \
  -H "accept: application/json" \
  -H "X-API-KEY: YOUR_API_KEY"

Example Request (CSV)

cURL
curl -X GET "https://research-api.nowatch.com/v1/timeline/events/checkins/YOUR_USER_ID?start_date=2024-04-01&end_date=2024-04-02" \
  -H "accept: text/csv" \
  -H "X-API-KEY: YOUR_API_KEY"